
eTB Manager - Bug #13

Bug # 774 (Closed): Change field on medical consultation page

Cases - Medical Consultation - fields "Is patient taking the prescribed medicines correctly?" and

"Reason"

07/13/2012 05:17 PM - Anonymous

Status: Closed Start date: 07/13/2012

Priority: Normal Due date: 07/20/2012

Assignee: Luis Gustavo do Valle Bastos % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: Version 2.1 Spent time: 0.00 hour

Component: Case Management   

Description

1. 'Is patient taking the prescribes medicines correctly' - not be made mandatory as the patient may not be on treatment

2. If 'No' to the above then make 'Reason' mandatory

History

#1 - 07/13/2012 05:21 PM - Anonymous

Vani Rao wrote:

1. 'Is patient taking the prescribes medicines correctly' - not be made mandatory as the patient may not be on treatment

2. If 'No' to the above then make 'Reason' mandatory

 

3. Page label for medical consultation to have New / Edit prefixxed correspondingly - New Medical Consultation / Edit Medical Consultation

#2 - 07/16/2012 11:26 AM - Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 100

Vani Rao wrote:

1. 'Is patient taking the prescribes medicines correctly' - not be made mandatory as the patient may not be on treatment

2. If 'No' to the above then make 'Reason' mandatory

 

OR

Render the field "Is Patient taking...' only for patients who are on treatment.
#3 - 07/16/2012 11:35 AM - Anonymous

File handled

etbmanager\WebContent\cases\edtmedexam.xhtml

#4 - 06/25/2013 05:38 PM - Luis Gustavo do Valle Bastos

- Subject changed from Cases - Medical Consultation - fields within to Cases - Medical Consultation - fields "Is patient taking the prescribed medicines

correctly?" and "Reason"

- Status changed from Resolved to Feedback

- Assignee changed from Anonymous to Ricardo Memoria

- Parent task set to #774

For MSH Demo:

When cases or suspects aren't on treatment, the field "Is patient taking the prescribed medicines correctly?" has not being displayed, but the

complimentary field "Reason" is still being displayed. Please, also remove the field reason when cases or suspects wouldn't be on treatment.

Fore the other workspaces:

- The field "Is patient taking the prescribed medicines correctly?" has being displayed even when cases or suspects aren't on treatment.

- The complimentary field "Reason" appears too close to the field "Is patient taking the prescribed medicines correctly?" and with the label

"Cancelation reason". Please, correct both as defined for MSH demo above. See issue #774.

#5 - 02/14/2014 05:07 PM - Ricardo Memoria

- Status changed from Feedback to Resolved

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos

Fixed and available for testing in dev server

#6 - 09/24/2016 08:24 PM - Ricardo Memoria

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

05/05/2025 2/2

http://dev.msh.org/redmine/issues/774
http://www.tcpdf.org

